Skip to main content
POST
/
api
/
analytics
/
queries
/
{queryId}
/
results
Get paginated raw AI responses for a query
curl --request POST \
  --url https://api.mentionlab.io/api/analytics/queries/{queryId}/results \
  --header 'Content-Type: application/json' \
  --header 'x-project-id: <x-project-id>' \
  --data '
{
  "startDate": "2025-01-01",
  "endDate": "2025-02-01",
  "country": "<string>",
  "language": "<string>",
  "models": [
    "<string>"
  ],
  "hasSources": true,
  "hasShopping": true,
  "queryTagIds": [
    "<string>"
  ],
  "execTagIds": [
    "<string>"
  ],
  "queryTagMode": "or",
  "execTagMode": "or",
  "page": 1,
  "pageSize": 20
}
'
{
  "results": [
    {
      "aiResponseId": "550e8400-e29b-41d4-a716-446655440000",
      "initiatedAt": "2025-03-15T10:30:00.000Z",
      "model": "gpt-4o",
      "text": "Here are the best CRM tools...",
      "hasSources": true,
      "hasShopping": false,
      "sources": [
        {
          "domain": "reddit.com",
          "url": "https://reddit.com/r/crm/..."
        }
      ],
      "entities": [
        {
          "displayKey": "550e8400-e29b-41d4-a716-446655440000",
          "displayName": "Acme Corp",
          "isPrimary": true,
          "sentimentScore": 72.3
        }
      ],
      "sentimentScore": 72.3
    }
  ],
  "page": {
    "totalRecords": 123,
    "limit": 123,
    "currentPage": 123,
    "totalPages": 123,
    "nextPage": 123,
    "prevPage": 123
  }
}

Headers

x-project-id
string
required

Project ID to specify the project context

Path Parameters

queryId
string
required

Body

application/json
startDate
string

Start date (inclusive)

Example:

"2025-01-01"

endDate
string

End date (exclusive)

Example:

"2025-02-01"

country
string

Filter by country code

language
string

Filter by language code

models
string[]

Filter by AI models

hasSources
boolean

Filter by responses that have sources

hasShopping
boolean

Filter by responses that have shopping products

queryTagIds
string[]

Filter by query tag IDs

execTagIds
string[]

Filter by execution tag IDs

queryTagMode
enum<string>
default:or

Query tag matching mode: "or" matches ANY tag (default), "and" matches ALL tags.

Available options:
and,
or
execTagMode
enum<string>
default:or

Execution tag matching mode: "or" matches ANY tag (default), "and" matches ALL tags.

Available options:
and,
or
page
number

Page number (1-based). Default: 1.

Example:

1

pageSize
number

Results per page. Default: 20, max: 100.

Example:

20

Response

200 - application/json
results
object[]
required

Paginated list of individual AI responses with their sources, entities, and sentiment.

page
object
required

Pagination metadata.